package com.hw.system.api.domain.common;

import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 工单流程节点步骤权限对象 wf_process_activity_auth
 *
 * @author xins
 * @date 2024-01-19
 */
public class WfProcessActivityAuth extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 工单流程步骤权限ID */
    private Long processActivityAuthId;

    /** 工单流程节点步骤ID，关联wf_process_activity的process_activity_id */
    @Excel(name = "工单流程节点步骤ID，关联wf_process_activity的process_activity_id")
    private Long processActivityId;

    /** 关联目标对象类型(1用户) */
    @Excel(name = "关联目标对象类型(1用户)")
    private String authTargetType;

    /** 关联目标对象ID */
    @Excel(name = "关联目标对象ID")
    private Long authTargetId;
    private String nickName;

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public void setProcessActivityAuthId(Long processActivityAuthId)
    {
        this.processActivityAuthId = processActivityAuthId;
    }

    public Long getProcessActivityAuthId()
    {
        return processActivityAuthId;
    }
    public void setProcessActivityId(Long processActivityId)
    {
        this.processActivityId = processActivityId;
    }

    public Long getProcessActivityId()
    {
        return processActivityId;
    }
    public void setAuthTargetType(String authTargetType)
    {
        this.authTargetType = authTargetType;
    }

    public String getAuthTargetType()
    {
        return authTargetType;
    }
    public void setAuthTargetId(Long authTargetId)
    {
        this.authTargetId = authTargetId;
    }

    public Long getAuthTargetId()
    {
        return authTargetId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("processActivityAuthId", getProcessActivityAuthId())
            .append("processActivityId", getProcessActivityId())
            .append("authTargetType", getAuthTargetType())
            .append("authTargetId", getAuthTargetId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
